### Legend

0
  uninitialized
X
  no feedback
1
  monomorphic
^
  recompute handler
P
  polymorphic
N
  megamorphic
G
  generic

## Instructions

Unified web interface to analyse runtime information stored in the v8 log.

For generating a v8.log file from d8:

- `/path/do/d8 $LOG_FLAGS $FILE`

For generating a v8.log file from Chrome:

- `/path/to/chrome --user-data-dir=/var/tmp/chr$RANDOM --no-sandbox --js-flags='$LOG_FLAGS’ $WEBSITE_URL`

### `LOG_FLAGS`:

`--log-all`
  Enable all V8 logging options.
`--log-maps`
  Log Maps
`--log-ic`
  Log ICs
`--log-source-code`
  Log source code
`--log-code-disassemble`
  Log detailed generated generated code
`--log-code`
  Log details about deoptimized code
`--log-deopt`
  Log various API uses.
`--prof`
  Log ticks from the sampling profiler.

### Local Symbol Server

To get detailed C++ symbols for local binaries you can host the system-analyzer locally using `tools/system-analyzer/local-server.sh`. You can then access the analyzer on localhost.

### Keyboard Shortcuts for Navigation

`CTRL` + `Mouse Move`
  Show tooltips immediately
`A`
  Scroll left
`D`
  Scroll right
`SHIFT` + `Arrow Up`
  Follow Map transition forward (first child)
`SHIFT` + `Arrow Down`
  Follow Map transition backwards
`Arrow Up`
  Go to previous Map chunk
`Arrow Down`
  Go to next Map in chunk
`Arrow Left`
  Go to previous chunk
`Arrow Right`
  Go to next chunk
`+`
  Timeline zoom in
`-`
  Timeline zoom out